NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::AestheticFaceBlendBuilder Class Reference

This class will provide ability to create aesthetically pleasing blend surfaces on sheet and solid bodies. More...

Inheritance diagram for NXOpen::Features::AestheticFaceBlendBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  AlignmentType { AlignmentTypeRollingBall, AlignmentTypeSpineCurve, AlignmentTypeVector }
 Alignment method provides the ability to align the cross sections of the blend in the user specified direction. More...
 
enum  BlendFacesType { BlendFacesTypeTrimtoAllInputFaces, BlendFacesTypeTrimtoShortInputFaces, BlendFacesTypeTrimtoLongInputFaces, BlendFacesTypeDoNotTrimBlendFaces }
 Trimming options. More...
 
enum  BlendType { BlendTypeRadius, BlendTypeChordLength }
 Tangent method will create tangent lines based on the method employed. More...
 
enum  CenterType { CenterTypeCenterRadius, CenterTypeRho }
 Center methods will define peak of the blend. More...
 
enum  EndTrimObjectType { EndTrimObjectTypeNone, EndTrimObjectTypePlane, EndTrimObjectTypeFace }
 End object overriding trim options. More...
 
enum  RhoType { RhoTypeRelative, RhoTypeAbsolute }
 Rho options. More...
 
enum  SegmentationType { SegmentationTypeAtAllTransitions, SegmentationTypeAtTransitionsonFaceChain1, SegmentationTypeAtTransitionsonFaceChain2, SegmentationTypeAtAllTransitionsandMergeSmallBlendFaces }
 Segmentations options. More...
 
enum  ShapeType { ShapeTypeAccelerated, ShapeTypeCircular }
 Shape methods will define the high level shape of the blend cross section. More...
 
enum  StartTrimObjectType { StartTrimObjectTypeNone, StartTrimObjectTypePlane, StartTrimObjectTypeFace }
 Start object overriding trim options. More...
 

Public Member Functions

NXOpen::Features::AestheticFaceBlendBuilder::AlignmentType AlignmentOption ()
 Returns the alignment option
Created in NX7.5.0. More...
 
NXOpen::GeometricUtilities::LawBuilderBaseRadiusLaw ()
 Returns the base radius law variable
Created in NX7.5.0. More...
 
NXOpen::Features::AestheticFaceBlendBuilder::BlendFacesType BlendFacesOption ()
 Returns the blend faces option
Created in NX7.5.0. More...
 
NXOpen::Features::AestheticFaceBlendBuilder::BlendType BlendOption ()
 Returns the method option
Created in NX7.5.0. More...
 
NXOpen::GeometricUtilities::LawBuilderCenterChordLaw ()
 Returns the center chord law
Created in NX8.0.0. More...
 
NXOpen::Features::AestheticFaceBlendBuilder::CenterType CenterOption ()
 Returns the center option
Created in NX8.0.0. More...
 
NXOpen::GeometricUtilities::LawBuilderCenterRadiusLaw ()
 Returns the center radius law
Created in NX7.5.0. More...
 
NXOpen::GeometricUtilities::ContinuityChain1Continuity ()
 Returns the chain 1 continuity
Created in NX8.0.0. More...
 
NXOpen::GeometricUtilities::ContinuityChain2Continuity ()
 Returns the chain 2 continuity
Created in NX8.0.0. More...
 
NXOpen::ExpressionChordLength ()
 Returns the chord length
More...
 
NXOpen::GeometricUtilities::LawBuilderChordLengthLaw ()
 Returns the chord length law variable
Created in NX8.0.0. More...
 
NXOpen::PointConstrainedEndPoint1 ()
 Returns the end point1
Created in NX8.0.0. More...
 
NXOpen::PointConstrainedEndPoint2 ()
 Returns the end point2
Created in NX8.0.0. More...
 
NXOpen::PointConstrainedStartPoint1 ()
 Returns the start point1
Created in NX8.0.0. More...
 
NXOpen::PointConstrainedStartPoint2 ()
 Returns the start point2
Created in NX8.0.0. More...
 
NXOpen::GeometricUtilities::ContinuityContinuity ()
 Returns the continuity
More...
 
double CurvatureTolerance ()
 Returns the curvature tolerance
Created in NX7.5.0. More...
 
NXOpen::GeometricUtilities::DegreesAndSegmentsOrPatchesBuilderDegrees ()
 Returns the degrees
Created in NX7.5.0. More...
 
NXOpen::ScCollectorFaceChain1 ()
 Returns the face chain1
Created in NX7.5.0. More...
 
NXOpen::ScCollectorFaceChain2 ()
 Returns the face chain2
Created in NX7.5.0. More...
 
bool IsAccelerated ()
 Returns the method to control the shape
Created in NX8.0.0. More...
 
bool IsBezier ()
 Returns the bezier
Created in NX8.0.0. More...
 
bool IsCenterlineCurve ()
 Returns the centerline curve
Created in NX8.0.0. More...
 
bool IsMinimumRadius ()
 Returns the is min radius
Created in NX7.5.0. More...
 
bool IsMinimumSubtendedAngle ()
 Returns the minimum subtended angle flag
Created in NX8.0.0. More...
 
bool IsRationalOutput ()
 Returns the rational output
Created in NX7.5.0. More...
 
bool IsSameTransition ()
 Returns the blend cross section is using the same transition as blend tangent or not
Created in NX7.5.0. More...
 
bool IsSewAllFaces ()
 Returns the is sew faces
Created in NX7.5.0. More...
 
bool IsTrimInputFaces ()
 Returns the is trim faces
Created in NX7.5.0. More...
 
bool IsWashout1 ()
 Returns the washout1
Created in NX8.0.0. More...
 
bool IsWashout2 ()
 Returns the toggle washout2
Created in NX8.0.0. More...
 
NXOpen::GeometricUtilities::BlendLimitsDataLimitsList ()
 Returns the trim object collector list
Created in NX8.0.0. More...
 
double MinimumEdgeLength ()
 Returns the max edge length
Created in NX8.0.0. More...
 
NXOpen::ExpressionMinimumRadius ()
 Returns the min radius
Created in NX7.5.0. More...
 
double MinimumSubtendedAngle ()
 Returns the minimum subtended angle
Created in NX8.0.0. More...
 
NXOpen::SectionParameterSpine ()
 Returns the parameter spine
Created in NX7.5.0. More...
 
double PositionTolerance ()
 Returns the position tolerance
Created in NX7.5.0. More...
 
double RelativeEndBlendEndPoint ()
 Returns the relative end point on the washout curve of end blend. More...
 
double RelativeEndBlendStartPoint ()
 Returns the relative start point on the washout curve of end blend. More...
 
double RelativeStartBlendEndPoint ()
 Returns the relative end point on the washout curve of start blend. More...
 
double RelativeStartBlendStartPoint ()
 Returns the relative start point on the washout curve of start blend. More...
 
bool ReverseNormal1 ()
 Returns the reverse normal1
Created in NX7.5.0. More...
 
bool ReverseNormal2 ()
 Returns the reverse normal2
Created in NX7.5.0. More...
 
NXOpen::Features::AestheticFaceBlendBuilder::RhoType RhoOption ()
 Returns the rho option
Created in NX8.0.0. More...
 
double RhoValue ()
 Returns the rho value
Created in NX8.0.0. More...
 
NXOpen::DirectionSectionAlignmentVector ()
 Returns the section alignment vector
Created in NX7.5.0. More...
 
NXOpen::ExpressionSectionScaling1 ()
 Returns the section scaling
Created in NX8.0.0. More...
 
NXOpen::ExpressionSectionScaling2 ()
 Returns the section scaling2
Created in NX8.0.0. More...
 
NXOpen::Features::AestheticFaceBlendBuilder::SegmentationType SegmentationOption ()
 Returns the segmentation option
Created in NX8.0.0. More...
 
void SetAccelerated (bool isAccelerated)
 Sets the method to control the shape
Created in NX8.0.0. More...
 
void SetAlignmentOption (NXOpen::Features::AestheticFaceBlendBuilder::AlignmentType alignmentOption)
 Sets the alignment option
Created in NX7.5.0. More...
 
void SetBezier (bool isBezier)
 Sets the bezier
Created in NX8.0.0. More...
 
void SetBlendFacesOption (NXOpen::Features::AestheticFaceBlendBuilder::BlendFacesType blendFacesOption)
 Sets the blend faces option
Created in NX7.5.0. More...
 
void SetBlendOption (NXOpen::Features::AestheticFaceBlendBuilder::BlendType blendOption)
 Sets the method option
Created in NX7.5.0. More...
 
void SetCenterlineCurve (bool isCenterlineCurve)
 Sets the centerline curve
Created in NX8.0.0. More...
 
void SetCenterOption (NXOpen::Features::AestheticFaceBlendBuilder::CenterType centerOption)
 Sets the center option
Created in NX8.0.0. More...
 
void SetConstrainedEndPoint1 (NXOpen::Point *endPoint1)
 Sets the end point1
Created in NX8.0.0. More...
 
void SetConstrainedEndPoint2 (NXOpen::Point *endPoint2)
 Sets the end point2
Created in NX8.0.0. More...
 
void SetConstrainedStartPoint1 (NXOpen::Point *startPoint1)
 Sets the start point1
Created in NX8.0.0. More...
 
void SetConstrainedStartPoint2 (NXOpen::Point *startPoint2)
 Sets the start point2
Created in NX8.0.0. More...
 
void SetCurvatureTolerance (double curvatureTolerance)
 Sets the curvature tolerance
Created in NX7.5.0. More...
 
void SetMinimumEdgeLength (double minEdgeLength)
 Sets the max edge length
Created in NX8.0.0. More...
 
void SetMinimumRadius (bool isMinimumRadius)
 Sets the is min radius
Created in NX7.5.0. More...
 
void SetMinimumSubtendedAngle (bool isMinimumSubtendedAngle)
 Sets the minimum subtended angle flag
Created in NX8.0.0. More...
 
void SetMinimumSubtendedAngle (double minimumSubtendedAngle)
 Sets the minimum subtended angle
Created in NX8.0.0. More...
 
void SetPositionTolerance (double positionTolerance)
 Sets the position tolerance
Created in NX7.5.0. More...
 
void SetRationalOutput (bool isRationalOutput)
 Sets the rational output
Created in NX7.5.0. More...
 
void SetRelativeEndBlendEndPoint (double endPoint)
 Sets the relative end point on the washout curve of end blend. More...
 
void SetRelativeEndBlendStartPoint (double startPoint)
 Sets the relative start point on the washout curve of end blend. More...
 
void SetRelativeStartBlendEndPoint (double endPoint)
 Sets the relative end point on the washout curve of start blend. More...
 
void SetRelativeStartBlendStartPoint (double startPoint)
 Sets the relative start point on the washout curve of start blend. More...
 
void SetReverseNormal1 (bool reverseNormal1)
 Sets the reverse normal1
Created in NX7.5.0. More...
 
void SetReverseNormal2 (bool reverseNormal2)
 Sets the reverse normal2
Created in NX7.5.0. More...
 
void SetRhoOption (NXOpen::Features::AestheticFaceBlendBuilder::RhoType rhoType)
 Sets the rho option
Created in NX8.0.0. More...
 
void SetRhoValue (double rhoValue)
 Sets the rho value
Created in NX8.0.0. More...
 
void SetSameTransition (bool isSameTransition)
 Sets the blend cross section is using the same transition as blend tangent or not
Created in NX7.5.0. More...
 
void SetSectionAlignmentVector (NXOpen::Direction *sectionAlignmentVector)
 Sets the section alignment vector
Created in NX7.5.0. More...
 
void SetSegmentationOption (NXOpen::Features::AestheticFaceBlendBuilder::SegmentationType segmentationOption)
 Sets the segmentation option
Created in NX8.0.0. More...
 
void SetSewAllFaces (bool isSewFaces)
 Sets the is sew faces
Created in NX7.5.0. More...
 
void SetShapeOption (NXOpen::Features::AestheticFaceBlendBuilder::ShapeType shapeOption)
 Sets the shape option
More...
 
void SetTangentTolerance (double tangentTolerance)
 Sets the tangent tolerance
Created in NX7.5.0. More...
 
void SetTrimInputFaces (bool isTrimFaces)
 Sets the is trim faces
Created in NX7.5.0. More...
 
void SetWashout1 (bool isWashout1)
 Sets the washout1
Created in NX8.0.0. More...
 
void SetWashout2 (bool isWashout2)
 Sets the toggle washout2
Created in NX8.0.0. More...
 
NXOpen::Features::AestheticFaceBlendBuilder::ShapeType ShapeOption ()
 Returns the shape option
More...
 
NXOpen::GeometricUtilities::TangentMagnitudeBuilderTangentMagnitude ()
 Returns the tangent magnitude
Created in NX8.0.0. More...
 
double TangentTolerance ()
 Returns the tangent tolerance
Created in NX7.5.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

This class will provide ability to create aesthetically pleasing blend surfaces on sheet and solid bodies.


To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateAestheticFaceBlendBuilder
Default values.

Property Value

AlignmentOption

RollingBall

BaseRadiusLaw.Function

ft

BaseRadiusLaw.LawType

MultiTransition

BaseRadiusLaw.Parameter

t

BlendFacesOption

TrimtoAllInputFaces

BlendOption

Radius

CenterChordLaw.LawType

Constant

CenterOption

CenterRadius

CenterRadiusLaw.LawType

MultiTransition

Chain1Continuity.ContinuityType

G1

Chain2Continuity.ContinuityType

G1

ChordLength.Value (deprecated)

10 (millimeters part), 0.4 (inches part)

ChordLengthLaw.LawType

Constant

Continuity.ContinuityType (deprecated)

G1

CurvatureTolerance

0.5

Degrees.Degree

3

Degrees.SegmentsOrPatches

1

Degrees.UDegree

5

Degrees.UPatches

1

Degrees.VDegree

5

Degrees.VPatches

1

IsAccelerated

1

IsBezier

0

IsCenterlineCurve

0

IsMinimumRadius

0

IsMinimumSubtendedAngle

0

IsRationalOutput

0

IsSameTransition

1

IsSewAllFaces

0

IsTrimInputFaces

0

IsWashout1

0

IsWashout2

0

MinimumEdgeLength

10

MinimumRadius.Value

2.5 (millimeters part), 0.098 (inches part)

MinimumSubtendedAngle

5.0

RhoOption

Relative

RhoValue

0.6

SectionScaling1.Value

1

SectionScaling2.Value

1

SegmentationOption

AtAllTransitions

ShapeOption (deprecated)

Accelerated


Created in NX7.5.0.

Member Enumeration Documentation

Alignment method provides the ability to align the cross sections of the blend in the user specified direction.

Enumerator
AlignmentTypeRollingBall 

Rolling Ball option will align the sections at contact point.

AlignmentTypeSpineCurve 

Spine Curve option will align the sections based on a string of curves.

AlignmentTypeVector 

Vector option will align the sections based on the vector.

Trimming options.

Enumerator
BlendFacesTypeTrimtoAllInputFaces 

Trims all input faces.

BlendFacesTypeTrimtoShortInputFaces 

Trims short input faces.

BlendFacesTypeTrimtoLongInputFaces 

Trims long input faces.

BlendFacesTypeDoNotTrimBlendFaces 

This option controls to trim blend faces or not.

Tangent method will create tangent lines based on the method employed.

Enumerator
BlendTypeRadius 

Radius of the rolling ball is used to create the tangent lines.

BlendTypeChordLength 

Chord Length will keep the appearance of a constant width blend through areas which have changing angles between the input walls.

Center methods will define peak of the blend.

Enumerator
CenterTypeCenterRadius 

Center radius option.

CenterTypeRho 

Rho is the ratio of the center radius and the base radius.

End object overriding trim options.

Enumerator
EndTrimObjectTypeNone 

Does not override end trim object.

EndTrimObjectTypePlane 

Overrides end trim object with plane.

EndTrimObjectTypeFace 

Override end trim object with face.

Rho options.

Enumerator
RhoTypeRelative 

Relative Rho: it's the ratio of BaseRadius/(BaseRadius + CenterRadius)

RhoTypeAbsolute 

Absolute Rho: does not take into account the subtended angle.

Segmentations options.

Enumerator
SegmentationTypeAtAllTransitions 

Segmentation at all transitions.

SegmentationTypeAtTransitionsonFaceChain1 

Segmentation at Face Chain1 transition.

SegmentationTypeAtTransitionsonFaceChain2 

Segementation at Face Chain2 transition.

SegmentationTypeAtAllTransitionsandMergeSmallBlendFaces 

Secgmentation at all transitions and merge small blend faces.

Shape methods will define the high level shape of the blend cross section.

Enumerator
ShapeTypeAccelerated 

Accelerated option will generate more shapes depending on the size of the center radius and continuity specified.

ShapeTypeCircular 

Circular option will always generate a constant radius arc shape.

Start object overriding trim options.

Enumerator
StartTrimObjectTypeNone 

Does not override start trim object.

StartTrimObjectTypePlane 

Overrides start trim object with plane.

StartTrimObjectTypeFace 

Override start trim object with face.

Member Function Documentation

NXOpen::Features::AestheticFaceBlendBuilder::AlignmentType NXOpen::Features::AestheticFaceBlendBuilder::AlignmentOption ( )

Returns the alignment option
Created in NX7.5.0.



License requirements : None

NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::AestheticFaceBlendBuilder::BaseRadiusLaw ( )

Returns the base radius law variable
Created in NX7.5.0.



License requirements : None

NXOpen::Features::AestheticFaceBlendBuilder::BlendFacesType NXOpen::Features::AestheticFaceBlendBuilder::BlendFacesOption ( )

Returns the blend faces option
Created in NX7.5.0.



License requirements : None

NXOpen::Features::AestheticFaceBlendBuilder::BlendType NXOpen::Features::AestheticFaceBlendBuilder::BlendOption ( )

Returns the method option
Created in NX7.5.0.



License requirements : None

NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::AestheticFaceBlendBuilder::CenterChordLaw ( )

Returns the center chord law
Created in NX8.0.0.



License requirements : None

NXOpen::Features::AestheticFaceBlendBuilder::CenterType NXOpen::Features::AestheticFaceBlendBuilder::CenterOption ( )

Returns the center option
Created in NX8.0.0.



License requirements : None

NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::AestheticFaceBlendBuilder::CenterRadiusLaw ( )

Returns the center radius law
Created in NX7.5.0.



License requirements : None

NXOpen::GeometricUtilities::Continuity* NXOpen::Features::AestheticFaceBlendBuilder::Chain1Continuity ( )

Returns the chain 1 continuity
Created in NX8.0.0.



License requirements : None

NXOpen::GeometricUtilities::Continuity* NXOpen::Features::AestheticFaceBlendBuilder::Chain2Continuity ( )

Returns the chain 2 continuity
Created in NX8.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::AestheticFaceBlendBuilder::ChordLength ( )

Returns the chord length

Deprecated:
Deprecated in NX8.0.0.

Use Features::AestheticFaceBlendBuilder::ChordLengthLaw instead.


Created in NX7.5.0.

License requirements : None

NXOpen::GeometricUtilities::LawBuilder* NXOpen::Features::AestheticFaceBlendBuilder::ChordLengthLaw ( )

Returns the chord length law variable
Created in NX8.0.0.



License requirements : None

NXOpen::Point* NXOpen::Features::AestheticFaceBlendBuilder::ConstrainedEndPoint1 ( )

Returns the end point1
Created in NX8.0.0.



License requirements : None

NXOpen::Point* NXOpen::Features::AestheticFaceBlendBuilder::ConstrainedEndPoint2 ( )

Returns the end point2
Created in NX8.0.0.



License requirements : None

NXOpen::Point* NXOpen::Features::AestheticFaceBlendBuilder::ConstrainedStartPoint1 ( )

Returns the start point1
Created in NX8.0.0.



License requirements : None

NXOpen::Point* NXOpen::Features::AestheticFaceBlendBuilder::ConstrainedStartPoint2 ( )

Returns the start point2
Created in NX8.0.0.



License requirements : None

NXOpen::GeometricUtilities::Continuity* NXOpen::Features::AestheticFaceBlendBuilder::Continuity ( )

Returns the continuity

Deprecated:
Deprecated in NX8.0.0.

Use Features::AestheticFaceBlendBuilder::Chain1Continuity and Features::AestheticFaceBlendBuilder::Chain2Continuity instead.


Created in NX7.5.0.

License requirements : None

double NXOpen::Features::AestheticFaceBlendBuilder::CurvatureTolerance ( )

Returns the curvature tolerance
Created in NX7.5.0.



License requirements : None

NXOpen::GeometricUtilities::DegreesAndSegmentsOrPatchesBuilder* NXOpen::Features::AestheticFaceBlendBuilder::Degrees ( )

Returns the degrees
Created in NX7.5.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Features::AestheticFaceBlendBuilder::FaceChain1 ( )

Returns the face chain1
Created in NX7.5.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Features::AestheticFaceBlendBuilder::FaceChain2 ( )

Returns the face chain2
Created in NX7.5.0.



License requirements : None

bool NXOpen::Features::AestheticFaceBlendBuilder::IsAccelerated ( )

Returns the method to control the shape
Created in NX8.0.0.



License requirements : None

bool NXOpen::Features::AestheticFaceBlendBuilder::IsBezier ( )

Returns the bezier
Created in NX8.0.0.



License requirements : None

bool NXOpen::Features::AestheticFaceBlendBuilder::IsCenterlineCurve ( )

Returns the centerline curve
Created in NX8.0.0.



License requirements : None

bool NXOpen::Features::AestheticFaceBlendBuilder::IsMinimumRadius ( )

Returns the is min radius
Created in NX7.5.0.



License requirements : None

bool NXOpen::Features::AestheticFaceBlendBuilder::IsMinimumSubtendedAngle ( )

Returns the minimum subtended angle flag
Created in NX8.0.0.



License requirements : None

bool NXOpen::Features::AestheticFaceBlendBuilder::IsRationalOutput ( )

Returns the rational output
Created in NX7.5.0.



License requirements : None

bool NXOpen::Features::AestheticFaceBlendBuilder::IsSameTransition ( )

Returns the blend cross section is using the same transition as blend tangent or not
Created in NX7.5.0.



License requirements : None

bool NXOpen::Features::AestheticFaceBlendBuilder::IsSewAllFaces ( )

Returns the is sew faces
Created in NX7.5.0.



License requirements : None

bool NXOpen::Features::AestheticFaceBlendBuilder::IsTrimInputFaces ( )

Returns the is trim faces
Created in NX7.5.0.



License requirements : None

bool NXOpen::Features::AestheticFaceBlendBuilder::IsWashout1 ( )

Returns the washout1
Created in NX8.0.0.



License requirements : None

bool NXOpen::Features::AestheticFaceBlendBuilder::IsWashout2 ( )

Returns the toggle washout2
Created in NX8.0.0.



License requirements : None

NXOpen::GeometricUtilities::BlendLimitsData* NXOpen::Features::AestheticFaceBlendBuilder::LimitsList ( )

Returns the trim object collector list
Created in NX8.0.0.



License requirements : None

double NXOpen::Features::AestheticFaceBlendBuilder::MinimumEdgeLength ( )

Returns the max edge length
Created in NX8.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::AestheticFaceBlendBuilder::MinimumRadius ( )

Returns the min radius
Created in NX7.5.0.



License requirements : None

double NXOpen::Features::AestheticFaceBlendBuilder::MinimumSubtendedAngle ( )

Returns the minimum subtended angle
Created in NX8.0.0.



License requirements : None

NXOpen::Section* NXOpen::Features::AestheticFaceBlendBuilder::ParameterSpine ( )

Returns the parameter spine
Created in NX7.5.0.



License requirements : None

double NXOpen::Features::AestheticFaceBlendBuilder::PositionTolerance ( )

Returns the position tolerance
Created in NX7.5.0.



License requirements : None

double NXOpen::Features::AestheticFaceBlendBuilder::RelativeEndBlendEndPoint ( )

Returns the relative end point on the washout curve of end blend.


Created in NX8.0.0.

License requirements : None

double NXOpen::Features::AestheticFaceBlendBuilder::RelativeEndBlendStartPoint ( )

Returns the relative start point on the washout curve of end blend.


Created in NX8.0.0.

License requirements : None

double NXOpen::Features::AestheticFaceBlendBuilder::RelativeStartBlendEndPoint ( )

Returns the relative end point on the washout curve of start blend.


Created in NX8.0.0.

License requirements : None

double NXOpen::Features::AestheticFaceBlendBuilder::RelativeStartBlendStartPoint ( )

Returns the relative start point on the washout curve of start blend.


Created in NX8.0.0.

License requirements : None

bool NXOpen::Features::AestheticFaceBlendBuilder::ReverseNormal1 ( )

Returns the reverse normal1
Created in NX7.5.0.



License requirements : None

bool NXOpen::Features::AestheticFaceBlendBuilder::ReverseNormal2 ( )

Returns the reverse normal2
Created in NX7.5.0.



License requirements : None

NXOpen::Features::AestheticFaceBlendBuilder::RhoType NXOpen::Features::AestheticFaceBlendBuilder::RhoOption ( )

Returns the rho option
Created in NX8.0.0.



License requirements : None

double NXOpen::Features::AestheticFaceBlendBuilder::RhoValue ( )

Returns the rho value
Created in NX8.0.0.



License requirements : None

NXOpen::Direction* NXOpen::Features::AestheticFaceBlendBuilder::SectionAlignmentVector ( )

Returns the section alignment vector
Created in NX7.5.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::AestheticFaceBlendBuilder::SectionScaling1 ( )

Returns the section scaling
Created in NX8.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::AestheticFaceBlendBuilder::SectionScaling2 ( )

Returns the section scaling2
Created in NX8.0.0.



License requirements : None

NXOpen::Features::AestheticFaceBlendBuilder::SegmentationType NXOpen::Features::AestheticFaceBlendBuilder::SegmentationOption ( )

Returns the segmentation option
Created in NX8.0.0.



License requirements : None

void NXOpen::Features::AestheticFaceBlendBuilder::SetAccelerated ( bool  isAccelerated)

Sets the method to control the shape
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
isAcceleratedisaccelerated
void NXOpen::Features::AestheticFaceBlendBuilder::SetAlignmentOption ( NXOpen::Features::AestheticFaceBlendBuilder::AlignmentType  alignmentOption)

Sets the alignment option
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
alignmentOptionalignmentoption
void NXOpen::Features::AestheticFaceBlendBuilder::SetBezier ( bool  isBezier)

Sets the bezier
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
isBezierisbezier
void NXOpen::Features::AestheticFaceBlendBuilder::SetBlendFacesOption ( NXOpen::Features::AestheticFaceBlendBuilder::BlendFacesType  blendFacesOption)

Sets the blend faces option
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
blendFacesOptionblendfacesoption
void NXOpen::Features::AestheticFaceBlendBuilder::SetBlendOption ( NXOpen::Features::AestheticFaceBlendBuilder::BlendType  blendOption)

Sets the method option
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
blendOptionblendoption
void NXOpen::Features::AestheticFaceBlendBuilder::SetCenterlineCurve ( bool  isCenterlineCurve)

Sets the centerline curve
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
isCenterlineCurveiscenterlinecurve
void NXOpen::Features::AestheticFaceBlendBuilder::SetCenterOption ( NXOpen::Features::AestheticFaceBlendBuilder::CenterType  centerOption)

Sets the center option
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
centerOptioncenteroption
void NXOpen::Features::AestheticFaceBlendBuilder::SetConstrainedEndPoint1 ( NXOpen::Point endPoint1)

Sets the end point1
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
endPoint1endpoint1
void NXOpen::Features::AestheticFaceBlendBuilder::SetConstrainedEndPoint2 ( NXOpen::Point endPoint2)

Sets the end point2
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
endPoint2endpoint2
void NXOpen::Features::AestheticFaceBlendBuilder::SetConstrainedStartPoint1 ( NXOpen::Point startPoint1)

Sets the start point1
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
startPoint1startpoint1
void NXOpen::Features::AestheticFaceBlendBuilder::SetConstrainedStartPoint2 ( NXOpen::Point startPoint2)

Sets the start point2
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
startPoint2startpoint2
void NXOpen::Features::AestheticFaceBlendBuilder::SetCurvatureTolerance ( double  curvatureTolerance)

Sets the curvature tolerance
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
curvatureTolerancecurvaturetolerance
void NXOpen::Features::AestheticFaceBlendBuilder::SetMinimumEdgeLength ( double  minEdgeLength)

Sets the max edge length
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
minEdgeLengthminedgelength
void NXOpen::Features::AestheticFaceBlendBuilder::SetMinimumRadius ( bool  isMinimumRadius)

Sets the is min radius
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
isMinimumRadiusisminimumradius
void NXOpen::Features::AestheticFaceBlendBuilder::SetMinimumSubtendedAngle ( bool  isMinimumSubtendedAngle)

Sets the minimum subtended angle flag
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
isMinimumSubtendedAngleisminimumsubtendedangle
void NXOpen::Features::AestheticFaceBlendBuilder::SetMinimumSubtendedAngle ( double  minimumSubtendedAngle)

Sets the minimum subtended angle
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
minimumSubtendedAngleminimumsubtendedangle
void NXOpen::Features::AestheticFaceBlendBuilder::SetPositionTolerance ( double  positionTolerance)

Sets the position tolerance
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
positionTolerancepositiontolerance
void NXOpen::Features::AestheticFaceBlendBuilder::SetRationalOutput ( bool  isRationalOutput)

Sets the rational output
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
isRationalOutputisrationaloutput
void NXOpen::Features::AestheticFaceBlendBuilder::SetRelativeEndBlendEndPoint ( double  endPoint)

Sets the relative end point on the washout curve of end blend.


Created in NX8.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
endPointendpoint
void NXOpen::Features::AestheticFaceBlendBuilder::SetRelativeEndBlendStartPoint ( double  startPoint)

Sets the relative start point on the washout curve of end blend.


Created in NX8.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
startPointstartpoint
void NXOpen::Features::AestheticFaceBlendBuilder::SetRelativeStartBlendEndPoint ( double  endPoint)

Sets the relative end point on the washout curve of start blend.


Created in NX8.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
endPointendpoint
void NXOpen::Features::AestheticFaceBlendBuilder::SetRelativeStartBlendStartPoint ( double  startPoint)

Sets the relative start point on the washout curve of start blend.


Created in NX8.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
startPointstartpoint
void NXOpen::Features::AestheticFaceBlendBuilder::SetReverseNormal1 ( bool  reverseNormal1)

Sets the reverse normal1
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
reverseNormal1reversenormal1
void NXOpen::Features::AestheticFaceBlendBuilder::SetReverseNormal2 ( bool  reverseNormal2)

Sets the reverse normal2
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
reverseNormal2reversenormal2
void NXOpen::Features::AestheticFaceBlendBuilder::SetRhoOption ( NXOpen::Features::AestheticFaceBlendBuilder::RhoType  rhoType)

Sets the rho option
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
rhoTyperhotype
void NXOpen::Features::AestheticFaceBlendBuilder::SetRhoValue ( double  rhoValue)

Sets the rho value
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
rhoValuerhovalue
void NXOpen::Features::AestheticFaceBlendBuilder::SetSameTransition ( bool  isSameTransition)

Sets the blend cross section is using the same transition as blend tangent or not
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
isSameTransitionissametransition
void NXOpen::Features::AestheticFaceBlendBuilder::SetSectionAlignmentVector ( NXOpen::Direction sectionAlignmentVector)

Sets the section alignment vector
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
sectionAlignmentVectorsectionalignmentvector
void NXOpen::Features::AestheticFaceBlendBuilder::SetSegmentationOption ( NXOpen::Features::AestheticFaceBlendBuilder::SegmentationType  segmentationOption)

Sets the segmentation option
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
segmentationOptionsegmentationoption
void NXOpen::Features::AestheticFaceBlendBuilder::SetSewAllFaces ( bool  isSewFaces)

Sets the is sew faces
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
isSewFacesissewfaces
void NXOpen::Features::AestheticFaceBlendBuilder::SetShapeOption ( NXOpen::Features::AestheticFaceBlendBuilder::ShapeType  shapeOption)

Sets the shape option

Deprecated:
Deprecated in NX8.0.0.

Use Features::AestheticFaceBlendBuilder::SetAccelerated instead.


Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
shapeOptionshapeoption
void NXOpen::Features::AestheticFaceBlendBuilder::SetTangentTolerance ( double  tangentTolerance)

Sets the tangent tolerance
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
tangentTolerancetangenttolerance
void NXOpen::Features::AestheticFaceBlendBuilder::SetTrimInputFaces ( bool  isTrimFaces)

Sets the is trim faces
Created in NX7.5.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
isTrimFacesistrimfaces
void NXOpen::Features::AestheticFaceBlendBuilder::SetWashout1 ( bool  isWashout1)

Sets the washout1
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
isWashout1iswashout1
void NXOpen::Features::AestheticFaceBlendBuilder::SetWashout2 ( bool  isWashout2)

Sets the toggle washout2
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
isWashout2iswashout2
NXOpen::Features::AestheticFaceBlendBuilder::ShapeType NXOpen::Features::AestheticFaceBlendBuilder::ShapeOption ( )

Returns the shape option

Deprecated:
Deprecated in NX8.0.0.

Use Features::AestheticFaceBlendBuilder::IsAccelerated instead.


Created in NX7.5.0.

License requirements : None

NXOpen::GeometricUtilities::TangentMagnitudeBuilder* NXOpen::Features::AestheticFaceBlendBuilder::TangentMagnitude ( )

Returns the tangent magnitude
Created in NX8.0.0.



License requirements : None

double NXOpen::Features::AestheticFaceBlendBuilder::TangentTolerance ( )

Returns the tangent tolerance
Created in NX7.5.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.